Bug 857797 - Quiesce xlator support for blocking all fops through reconfigure
Quiesce xlator support for blocking all fops through reconfigure
Status: CLOSED WONTFIX
Product: GlusterFS
Classification: Community
Component: unclassified (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nagaprasad Sathyanarayana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-16 23:28 EDT by shishir gowda
Modified: 2016-02-17 19:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-11 11:25:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description shishir gowda 2012-09-16 23:28:18 EDT
Description of problem:
'quiesce-block' xlator option when set to on, will buffer all incoming fops.
A subsequent reconfigure event of 'off', will start transmitting these buffered calls.
The client apps would be hung till the fops are serviced.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 shishir gowda 2012-10-11 01:54:38 EDT
Fix sent for review (http://review.gluster.org/#change,3927).

Note You need to log in before you can comment on or make changes to this bug.